summaryrefslogtreecommitdiff
path: root/totem
diff options
context:
space:
mode:
authorMatthias Hentges <oe@hentges.net>2004-10-11 16:36:01 +0000
committerMatthias Hentges <oe@hentges.net>2004-10-11 16:36:01 +0000
commitbd068236207dee9373f5d559c88325de3446d53b (patch)
treebea490798b7aec80d96272f621898b8cb8c82efe /totem
parent96379cf2ff7c66a2ab2f1e57e17c88b9860e5c75 (diff)
Merge bk://openembedded@openembedded.bkbits.net/packages
into mhcln01.hentges.local:/home/mhentges/OpenEmbedded/packages 2004/10/11 18:35:17+02:00 local!CoreDump The mother of all section fixes! Gives a SECTION entry to (almost) all packages which were missing it (and thus were having a section of *base*). I have placed all packages unknown to me into the *unknown* section (and yes, i *am* to lazy to look them up), please fix. BKrev: 416ab6716BWMm_ae6D2MValq-LDFzw
Diffstat (limited to 'totem')
-rw-r--r--totem/totem_0.99.15.oe30
1 files changed, 30 insertions, 0 deletions
diff --git a/totem/totem_0.99.15.oe b/totem/totem_0.99.15.oe
index e69de29bb2..aaf956917f 100644
--- a/totem/totem_0.99.15.oe
+++ b/totem/totem_0.99.15.oe
@@ -0,0 +1,30 @@
+SECTION = "x11/multimedia"
+# totem OE build file
+# Copyright (C) 2004, Advanced Micro Devices, Inc. All Rights Reserved
+# Released under the MIT license (see packages/COPYING)
+
+DESCRIPTION="A GTK2 based media player"
+HOMEPAGE="http://www.hadess.net/totem.php3"
+LICENSE="GPL"
+
+SRC_URI="http://www.hadess.net/files/software/totem/totem-${PV}.tar.gz \
+ file://include.patch;patch=1 \
+ file://omf.patch;patch=1"
+
+DEPENDS="gtk+ libglade gnome-vfs gconf libxine libgnomeui"
+RDEPENDS += " libgnomeui"
+
+inherit autotools
+
+EXTRA_OECONF="--disable-schemas-install --disable-nvtv --enable-gtk --disable-debug --disable-gstreamer --disable-mozilla"
+
+#SELECTED_OPTIMIZATION="-O0 -g"
+LDFLAGS_append = " -Wl,--export-dynamic"
+
+pkg_postinst_totem() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi;
+SOURCE=`gconftool-2 --get-default-source`
+GCONF_CONFIG_SOURCE=$SOURCE gconftool-2 --makefile-install-rule \
+/etc/gconf/schemas/totem.schemas > /dev/null
+}